- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

# xilisf_erase.c File Reference

`#include "include/xilisf.h"`

## Functions
int | XIsf_Erase (XIsf *InstancePtr, XIsf_EraseOperation Operation, u32 Address)

## Detailed Description

This file contains the library functions to Erase the Serial Flash. Refer xilisf.h for a detailed description.

     MODIFICATION HISTORY:

     Ver   Who      Date     Changes
     ----- -------  -------- -----------------------------------------------
     1.00a ksu/sdm  03/03/08 First release
     2.01a sdm      01/04/10 Added Support for Winbond W25QXX/W25XX devices
     2.04a sdm      08/17/10 Updated to support Numonyx (N25QXX) and Spansion
    			  flash memories
     3.02a srt	 04/25/13 Added Bulk Erase command support for SST and
    			  Spansion flashes.

## Function Documentation

int XIsf_Erase | ( | XIsf * | InstancePtr,
|  | XIsf_EraseOperation | Operation,
|  | u32 | Address
| ) |

  | This API erases the contents of the specified memory in the Serial Flash. Parameters:
  | InstancePtr | is a pointer to the XIsf instance.
  | Operation | is the type of Erase operation to be performed on the Serial Flash. The different operations are XISF_PAGE_ERASE: Page Erase XISF_BLOCK_ERASE: Block Erase XISF_SECTOR_ERASE: Sector Erase XISF_BULK_ERASE: Bulk Erase
  | Address | is the address of the Page/Block/Sector to be erased. The address can be either Page address, Block address or Sector address based on the Erase operation to be performed.
Returns: XST_SUCCESS if successful else XST_FAILURE. Note: The erased bytes will read as 0xFF. For Intel, STM, Winbond or Spansion Serial Flash the user application must call XIsf_WriteEnable() API by passing XISF_WRITE_ENABLE as an argument before calling the XIsf_Erase() API. Atmel Serial Flash support Page/Block/Sector Erase operations. Intel, Winbond, Numonyx (N25QXX) and Spansion Serial Flash support Sector/Block/Bulk Erase operations. STM (M25PXX) Serial Flash support Sector/Bulk Erase operations.